# Πρόγραμμα Ελέγχου PIN
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Ελέγχου του PIN σας")
print()

# Ορισμός σωστού PIN
sosto_pin=9999

# Αρχικοποίηση μετρητή προσπαθειών με την τιμή 0
prospathies=0

# Αρχικοποίηση Σημαίας-Λογικής μεταβλητής "Το PIN βρέθηκε" με τη τιμή False
pin_brethike=False

# Χρήση εντολής επανάληψης while
# Η επανάληψη θα συνεχίζετε για όσο
# α) οι προσπάθειες του χρήστη ειναι λιγότερες από 3
# ΚΑΙ
# β) όσο η μεταβλητή pin_brethike δεν έχει τιμή Αληθές 
while prospathies<3 and not pin_brethike:
    # Εισαγωγή PIN από τον χρήστη
    print("Εισάγετε το PIN σας")
    pithano_pin=int(input())
    # Έλεγχος εάν το PIN που εισήγαγε ο χρήστης είναι το σωστό
    # Εαν ειναι σωστό, τότε η μεταβλητή pin_brethike λαμβάνει τιμή Αληθές
    if pithano_pin==sosto_pin:
        pin_brethike=True
    # Εαν είναι λαθος, τότε ο μετρητής προσπαθειών αυξάνετε κατά 1
    else:
        prospathies=prospathies+1
        print("Λάθος PIN.")
        print()

# Εμφάνιση Μηνύματος τελικής Επιτυχίας ή Αποτυχίας
if pin_brethike:
    print("Tο PIN ειναι σωστό. Έχετε πρόσβαση")
else:
    print("Πολλές ανεπιτυχείς προσπάθειες. Δεν έχετε πρόσβαση")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Ελέγχου PIN") 

